Package org.apache.tapestry5.http.internal.gzip

# Class BufferedGZipOutputStream

java.lang.Object
java.io.OutputStream
javax.servlet.ServletOutputStream
org.apache.tapestry5.http.internal.gzip.BufferedGZipOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class BufferedGZipOutputStream extends javax.servlet.ServletOutputStream
A buffered output stream that, when a certain number of bytes is buffered (the cutover point) will open a compressed stream (via `Response.getOutputStream(String)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BufferedGZipOutputStream(String contentType, javax.servlet.http.HttpServletResponse response, int cutover, CompressionAnalyzer analyzer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `void`
  `flush()`
  `void`
  `write(byte[] b)`
  `void`
  `write(byte[] b, int off, int len)`
  `void`
  `write(int b)`

  ### Methods inherited from class javax.servlet.ServletOutputStream

  `print, print, print, print, print, print, print, println, println, println, println, println, println, println, println`

  ### Methods inherited from class java.io.OutputStream

  `nullOutputStream`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BufferedGZipOutputStream

    public BufferedGZipOutputStream(String contentType, javax.servlet.http.HttpServletResponse response, int cutover, CompressionAnalyzer analyzer)

- ## Method Details

  - ### write

    public void write(int b) throws IOException
    Specified by:
      `write` in class `OutputStream`
    Throws:
      `IOException`

  - ### write

    public void write(byte[] b) throws IOException
    Overrides:
      `write` in class `OutputStream`
    Throws:
      `IOException`

  - ### write

    public void write(byte[] b, int off, int len) throws IOException
    Overrides:
      `write` in class `OutputStream`
    Throws:
      `IOException`

  - ### flush

    public void flush() throws IOException
    Specified by:
      `flush` in interface `Flushable`
    Overrides:
      `flush` in class `OutputStream`
    Throws:
      `IOException`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Overrides:
      `close` in class `OutputStream`
    Throws:
      `IOException`